# Uses of Interface
org.apache.lucene.index.MergeScheduler.MergeSource

Packages that use MergeScheduler.MergeSource
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of MergeScheduler.MergeSource in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type MergeScheduler.MergeSource
  Modifier and Type
  Method
  Description
  `protected void`
  ConcurrentMergeScheduler.`doMerge(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Does the actual merge, by calling `merge(org.apache.lucene.index.MergePolicy.OneMerge)`
  `protected ConcurrentMergeScheduler.MergeThread`
  ConcurrentMergeScheduler.`getMergeThread(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Create and return a new MergeThread
  `protected boolean`
  ConcurrentMergeScheduler.`maybeStall(MergeScheduler.MergeSource mergeSource)`
  This is invoked by `ConcurrentMergeScheduler.merge(org.apache.lucene.index.MergeScheduler.MergeSource, org.apache.lucene.index.MergeTrigger)` to possibly stall the incoming thread when there are too many merges running or pending.
  `void`
  ConcurrentMergeScheduler.`merge(MergeScheduler.MergeSource mergeSource, MergeTrigger trigger)`
  `abstract void`
  MergeScheduler.`merge(MergeScheduler.MergeSource mergeSource, MergeTrigger trigger)`
  Run the merges provided by `getNextMerge()`.
  `void`
  NoMergeScheduler.`merge(MergeScheduler.MergeSource mergeSource, MergeTrigger trigger)`
  `void`
  SerialMergeScheduler.`merge(MergeScheduler.MergeSource mergeSource, MergeTrigger trigger)`
  Just do the merges in sequence.
  Constructors in org.apache.lucene.index with parameters of type MergeScheduler.MergeSource
  Modifier
  Constructor
  Description
  ``
  `MergeThread(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Sole constructor.